%define name 	oooqs2
%define version 1.0
%define release %mkrel 2

Summary:	A KDE quickstarter applet for openoffice.org2
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://download.berlios.de/segfaultskde/%{name}-%{version}.tar.bz2
Source1:	oooqsrc2
Patch0:		oooqs2-1.0-detect.patch
Patch1:		oooqs2-1.0-qt3.patch
Group:		Office
License:	GPL
URL:		http://segfaultskde.berlios.de/index.php?content=oooqs2
BuildRequires:	qt3-devel
BuildRequires:	kdelibs-devel
Requires:	openoffice.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
OpenOffice.org Quickstarter 2 is a small systray applet for KDE.

The newest version is designed with compability to distribution
specific versions of OpenOffice.org in mind. It again offers some
settings which were removed from the former release. In addition, and
that's certainly the most important part, it's finally compatible with
OpenOffice.org 2.

The current version is a complete rewrite of the application, which
led to a much cleaner and more efficient code. It is the first version
that reliably works around problems with OpenOffice.orgs quickstart
mode, therefore OOoQs2 is the best Quickstarter ever. This should work
not only in Linux but other platforms (*BSD), too but isn't tested yet
as I don't have BSD-system available.

The OpenOffice.org-Team improved the quickstart-mode in the
Linuxversion with the release of OpenOffice.org 2, so it should work
much more reliable.

Openoffice.org2 Quickstarter is a small application that runs in the KDE
SystemTray. It is used to quickly start the different OpenOffice.org 
modules without having to go through the K-Menu.

%prep
%setup -q
%patch0 -p1 -b .detect20
%patch1 -p1 -b .qt3

export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

%build 
autoconf
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure	--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-rpath \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-qt-dir=%{_prefix}/lib/qt3 \
		--with-xinerama \
		--enable-final
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl oooqs2 Office/Accessories %buildroot/%_datadir/applnk/Utilities/oooqs2.desktop %buildroot/%_menudir/oooqs2
install src/hi16-app-oooqs2.png -D %{buildroot}/%{_miconsdir}/oooqs2.png
install src/hi32-app-oooqs2.png -D %{buildroot}/%{_iconsdir}/oooqs2.png
install src/hi48-app-oooqs2.png -D %{buildroot}/%{_liconsdir}/oooqs2.png
mkdir -p %{buildroot}/%{_datadir}/config/
install -m644 %{SOURCE1} %{buildroot}/%{_datadir}/config/
find %{buildroot}/%{_datadir}/icons -name '*.xpm' -exec rm -f {} \;

# Fix help symlink:
for i in en de; do 
  mkdir -p %{buildroot}/%{_datadir}/doc/HTML/$i/common
( cd %{buildroot}/%{_datadir}/doc/HTML/$i/oooqs2/
ln -sf ../common
)
done

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_menudir}/*
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_docdir}/HTML/*/oooqs2/*
%{_datadir}/icons/hicolor/16x16/apps/*.png
%{_datadir}/icons/hicolor/32x32/apps/*.png
%{_datadir}/icons/hicolor/48x48/apps/*.png
%{_datadir}/icons/hicolor/64x64/apps/*.png
%{_datadir}/icons/hicolor/128x128/apps/*.png
%{_datadir}/applnk/Utilities/oooqs2.desktop
%{_datadir}/autostart/*
%config(noreplace) %{_datadir}/config/oooqsrc2


%changelog
* Mon Mar 19 2007 Giuseppe Ghibò <ghibo@mandriva.com> 1.0-2mdv2007.1
+ Revision: 146468
- Unbzip2 patches.
- Added Patch1 for qt3 detecting.
- Call autoconf.
- Rebuilt.
- Import oooqs2



* Thu Mar 02 2006 Giuseppe Ghib <ghibo@mandriva.com> 1.0-1mdk
- New release 1.0 for openoffice.org2.
- Added Patch0.

* Mon Sep 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.3-5mdk
- Fix build for x86_64

* Wed Jun 30 2004 Michael Scherer <misc@mandrake.org> 2.0.3-4mdk 
- rebuild for new gcc

* Wed Mar 03 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.0.3-3mdk
- buildrequires
- configure tuning
- cosmetics

* Mon Mar 01 2004 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.3-2mdk
- Update default config for 2.0.x (bug 8516)

* Fri Nov 14 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.0.3-1mdk
- 2.0.3

* Tue May 27 2003 Lenny Cartier <lenny@mandrakesoft.com 1.0-0.rc3.4mdk
- adjust files list

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com 1.0-0.rc3.3mdk
- buildrequires

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 1.0-0.rc3.2mdk
- rebuild

* Wed Jan 22 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.0-0.rc3.1mdk
- rc3
- Don't kmessage on every action (patch0)
- Supply default config

* Thu Sep 06 2002 Buchan Milne <bgmilne@linux-mandrake.com> 1.0-0.rc2.1mdk
- 1.0rc2

* Fri Sep 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.5.1-3mdk
- rebuild

* Fri Jul 12 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.9.5.1-2mdk
- Add French translations of 'oooqs.desktop' file.
- Fix some bugs on installation files and KDE menu icon.

* Thu Jul 11 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.9.5.1-1mdk
- Original release with the French GUI Translations.
